Subject: pkg/25278: ap-perl causes apache coredump
To: None <>
From: None <>
List: pkgsrc-bugs
Date: 04/21/2004 22:34:24
>Number:         25278
>Category:       pkg
>Synopsis:       ap-perl causes apache coredump
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Apr 22 05:35:00 UTC 2004
>Release:        NetBSD 1.6.2_RC4
	Scientific Technologies, Inc.
System: NetBSD angel 1.6.2_RC4 NetBSD 1.6.2_RC4 (DELL600SC) #13: Tue Jan 13 17:33:29 MST 2004 root@angel:/usr/src/sys/arch/i386/compile/DELL600SC i386
Architecture: i386
Machine: i386
Core dump on current pkgsrc for 1.29 version of mod_perl and apache 1.3.29

#0  0x48322a04 in Perl_sv_setpvn () from /usr/pkg/lib/perl5/5.6.1/i386-netbsd/CORE/
#1  0x482cf450 in S_parse_body () from /usr/pkg/lib/perl5/5.6.1/i386-netbsd/CORE/
#2  0x482cf308 in perl_parse () from /usr/pkg/lib/perl5/5.6.1/i386-netbsd/CORE/
#3  0x4828ef76 in perl_startup () from /usr/pkg/lib/httpd/
#4  0x4828eb16 in perl_module_init () from /usr/pkg/lib/httpd/
#5  0x8073c0e in ap_init_modules ()
#6  0x807bc3e in standalone_main ()
#7  0x807c49b in main ()
#8  0x80500e0 in ___start ()

Relevant installed modules:

	Simply a LoadModule without any Perl* directives causes the above.  
	downgrade to 1.25 by reverting to 4/1/2004 pkgsrc/www/ap-perl